| CAEN FERS Library v1.1.4 SDK for FERS systems

Functions
Board info
API
Collaboration diagram for Board info:

## Functions
int | FERS_GetBoardInfo (int handle, FERS_BoardInfo_t *BrdInfo)
| Get board info saved into the library structure. More...
int | FERS_GetCncInfo (int handle, FERS_CncInfo_t *BrdInfo)
| Get concentrator info saved into the library structure. More...
uint32_t | FERS_pid (int handle)
| Get the board PID. More...
uint16_t | FERS_Code (int handle)
| Get the code of the FERS board. More...
char * | FERS_ModelName (int handle)
| Get the model name of the FERS board. More...
uint32_t | FERS_FPGA_FWrev (int handle)
| Get the FPGA firmware revision of the FERS board. More...
uint32_t | FERS_FPGA_FW_MajorRev (int handle)
| Get the major revision of the FPGA firmware. More...
uint32_t | FERS_FPGA_FW_MinorRev (int handle)
| Get the minor revision of the FPGA firmware. More...
uint32_t | FERS_uC_FWrev (int handle)
| Get them microcontroller firmware revision. More...
uint16_t | FERS_NumChannels (int handle)
| Get the number of channels of the FERS board. More...
uint8_t | FERS_PCB_Rev (int handle)
| Get the PCB revision of the FERS board. More...
bool | FERS_IsXROC (int handle)
| Check if the board mounts an XROC ASIC chip. More...

## Detailed Description

## Function Documentation

## ◆ FERS_GetBoardInfo()

int FERS_GetBoardInfo | ( | int | handle,
|  | FERS_BoardInfo_t * | BrdInfo
| ) |  |

Get board info saved into the library structure.

Parameters

  [out] | BrdInfo | board information saved on library
  [in] | handle | handle of the board

Returns
  0

## ◆ FERS_GetCncInfo()

int FERS_GetCncInfo | ( | int | handle,
|  | FERS_CncInfo_t * | BrdInfo
| ) |  |

Get concentrator info saved into the library structure.

Parameters

  [out] | BrdInfo | concentrator information saved in library
  [in] | handle | concentrator handle

Returns
  0

## ◆ FERS_pid()

uint32_t FERS_pid | ( | int | handle | ) |

Get the board PID.

Parameters

  [in] | handle | Handle to the FERS device.

Returns
  PID of the board

## ◆ FERS_Code()

uint16_t FERS_Code | ( | int | handle | ) |

Get the code of the FERS board.

Parameters

  [in] | handle | Handle to the FERS device

Returns
  FERS code

## ◆ FERS_ModelName()

char * FERS_ModelName | ( | int | handle | ) |

Get the model name of the FERS board.

Parameters

  [in] | handle | Handle to the FERS device

Returns
  FERS model name

## ◆ FERS_FPGA_FWrev()

uint32_t FERS_FPGA_FWrev | ( | int | handle | ) |

Get the FPGA firmware revision of the FERS board.

Parameters

  [in] | handle | Handle to the FERS device

Returns
  FPGA firmware revision

## ◆ FERS_FPGA_FW_MajorRev()

uint32_t FERS_FPGA_FW_MajorRev | ( | int | handle | ) |

Get the major revision of the FPGA firmware.

Parameters

  [in] | handle | Handle to the FERS device

Returns
  FPGA firmware major revision

## ◆ FERS_FPGA_FW_MinorRev()

uint32_t FERS_FPGA_FW_MinorRev | ( | int | handle | ) |

Get the minor revision of the FPGA firmware.

Parameters

  [in] | handle | Handle to the FERS device

Returns
  FPGA firmware minor revision

## ◆ FERS_uC_FWrev()

uint32_t FERS_uC_FWrev | ( | int | handle | ) |

Get them microcontroller firmware revision.

Parameters

  [in] | handle | Handle to the FERS device

Returns
  Microcontroller firmware revision

## ◆ FERS_NumChannels()

uint16_t FERS_NumChannels | ( | int | handle | ) |

Get the number of channels of the FERS board.

Parameters

  [in] | handle | Handle to the FERS device

Returns
  Number of channels of FERS board

## ◆ FERS_PCB_Rev()

uint8_t FERS_PCB_Rev | ( | int | handle | ) |

Get the PCB revision of the FERS board.

Parameters

  [in] | handle | Handle to the FERS device

Returns
  PCB revision of FERS board

## ◆ FERS_IsXROC()

bool FERS_IsXROC | ( | int | handle | ) |

Check if the board mounts an XROC ASIC chip.

Parameters

  [in] | handle | Handle to the FERS device

Returns
  true is the board mounts a XROC ASIC chip, false otherwise